package shay.org.ext;

import oracle.ide.layout.ViewId;
import oracle.ide.log.MessagePage;

/**
 * @snippet_id      ClickableURL.0
 * @snippet_name    How to generate a customize a Message Window
 * @snippet_topic   Clickable MessagePage MessageWindow
 * @snippet_comment This shows how to customize a Message Page so that a url in it can be clicked.
 */
public class MessageWindow extends MessagePage
{
  /** @snippet_reference {@start ClickableURL.0} */
  protected static final String MESSAGE_PAGE_ID = "Addin Output";
  String pageName;

  private final static boolean showStyledText = true; // They key of the problem!

  /**
   * @snippet_id      ClickableURL.2
   * @snippet_name    How to generate a customize a Message Window
   * @snippet_topic   Clickable MessagePage MessageWindow
   * @snippet_comment This shows how to customize a Message Page so that a url in it can be clicked.
   */
  public MessageWindow(String pageName)
  {
    /** @snippet_reference {@start ClickableURL.2} */
    super(new ViewId(MESSAGE_PAGE_ID, pageName), null, false, showStyledText);
//  this.setWrapLines(true);
    /** @snippet_reference {@end ClickableURL.2} */
  }
  /** @snippet_reference {@end ClickableURL.0} */
}
